<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: modelo_llamadas_nhc_5.xml */
/* Generado: 2014-11-25 13:07:42 */

/* M�todos de acceso a los campos de la tabla cr_vista_morosos */
abstract class BaseCr_vista_morososBN
{
    /* Campos de la tabla */
    private $s_TipoPrestamo;    // TipoPrestamo: ( no definido )
    private $i_NumeroPrestamo;    // NumeroPrestamo: ( no definido )
    private $s_Moneda;    // Moneda: ( no definido )
    private $f_MontoPrestado;    // MontoPrestado: ( no definido )
    private $f_SaldoPrestamo;    // SaldoPrestamo: ( no definido )
    private $d_FechaInicio;    // FechaInicio: ( no definido )
    private $d_FechaFinal;    // FechaFinal: ( no definido )
    private $i_IdMercado;    // IdMercado: ( no definido )
    private $s_NombreMercado;    // NombreMercado: ( no definido )
    private $i_IdCliente;    // IdCliente: ( no definido )
    private $s_NombreCliente;    // NombreCliente: ( no definido )
    private $s_Dni;    // Dni: ( no definido )

    /* Establece el valor del campo TipoPrestamo */
    public function setTipoPrestamo( $s_TipoPrestamo )
    {
        $this->s_TipoPrestamo = $s_TipoPrestamo;
    }

    /* Obtiene el valor del campo TipoPrestamo */
    public function getTipoPrestamo()
    {
        return $this->s_TipoPrestamo;
    }

    /* Establece el valor del campo NumeroPrestamo */
    public function setNumeroPrestamo( $i_NumeroPrestamo )
    {
        $this->i_NumeroPrestamo = $i_NumeroPrestamo;
    }

    /* Obtiene el valor del campo NumeroPrestamo */
    public function getNumeroPrestamo()
    {
        return $this->i_NumeroPrestamo;
    }

    /* Establece el valor del campo Moneda */
    public function setMoneda( $s_Moneda )
    {
        $this->s_Moneda = $s_Moneda;
    }

    /* Obtiene el valor del campo Moneda */
    public function getMoneda()
    {
        return $this->s_Moneda;
    }

    /* Establece el valor del campo MontoPrestado */
    public function setMontoPrestado( $f_MontoPrestado )
    {
        $this->f_MontoPrestado = $f_MontoPrestado;
    }

    /* Obtiene el valor del campo MontoPrestado */
    public function getMontoPrestado()
    {
        return $this->f_MontoPrestado;
    }

    /* Establece el valor del campo SaldoPrestamo */
    public function setSaldoPrestamo( $f_SaldoPrestamo )
    {
        $this->f_SaldoPrestamo = $f_SaldoPrestamo;
    }

    /* Obtiene el valor del campo SaldoPrestamo */
    public function getSaldoPrestamo()
    {
        return $this->f_SaldoPrestamo;
    }

    /* Establece el valor del campo FechaInicio */
    public function setFechaInicio( $d_FechaInicio )
    {
        $this->d_FechaInicio = $d_FechaInicio;
    }

    /* Obtiene el valor del campo FechaInicio */
    public function getFechaInicio()
    {
        return $this->d_FechaInicio;
    }

    /* Establece el valor del campo FechaFinal */
    public function setFechaFinal( $d_FechaFinal )
    {
        $this->d_FechaFinal = $d_FechaFinal;
    }

    /* Obtiene el valor del campo FechaFinal */
    public function getFechaFinal()
    {
        return $this->d_FechaFinal;
    }

    /* Establece el valor del campo IdMercado */
    public function setIdMercado( $i_IdMercado )
    {
        $this->i_IdMercado = $i_IdMercado;
    }

    /* Obtiene el valor del campo IdMercado */
    public function getIdMercado()
    {
        return $this->i_IdMercado;
    }

    /* Establece el valor del campo NombreMercado */
    public function setNombreMercado( $s_NombreMercado )
    {
        $this->s_NombreMercado = $s_NombreMercado;
    }

    /* Obtiene el valor del campo NombreMercado */
    public function getNombreMercado()
    {
        return $this->s_NombreMercado;
    }

    /* Establece el valor del campo IdCliente */
    public function setIdCliente( $i_IdCliente )
    {
        $this->i_IdCliente = $i_IdCliente;
    }

    /* Obtiene el valor del campo IdCliente */
    public function getIdCliente()
    {
        return $this->i_IdCliente;
    }

    /* Establece el valor del campo NombreCliente */
    public function setNombreCliente( $s_NombreCliente )
    {
        $this->s_NombreCliente = $s_NombreCliente;
    }

    /* Obtiene el valor del campo NombreCliente */
    public function getNombreCliente()
    {
        return $this->s_NombreCliente;
    }

    /* Establece el valor del campo Dni */
    public function setDni( $s_Dni )
    {
        $this->s_Dni = $s_Dni;
    }

    /* Obtiene el valor del campo Dni */
    public function getDni()
    {
        return $this->s_Dni;
    }

    /* Recupera un objeto Cr_vista_morososBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_vista_morososRs )
    {
        $o_Cr_vista_morososBN = new Cr_vista_morososBN();
        $o_Cr_vista_morososBN->setTipoPrestamo( $o_Cr_vista_morososRs[ "TipoPrestamo" ] );
        $o_Cr_vista_morososBN->setNumeroPrestamo( ( integer ) $o_Cr_vista_morososRs[ "NumeroPrestamo" ] );
        $o_Cr_vista_morososBN->setMoneda( $o_Cr_vista_morososRs[ "Moneda" ] );
        $o_Cr_vista_morososBN->setMontoPrestado( ( float ) $o_Cr_vista_morososRs[ "MontoPrestado" ] );
        $o_Cr_vista_morososBN->setSaldoPrestamo( ( float ) $o_Cr_vista_morososRs[ "SaldoPrestamo" ] );
        $o_Cr_vista_morososBN->setFechaInicio( utilTimestamp::getTimestamp( $o_Cr_vista_morososRs[ "FechaInicio" ], "Y-m-d H:i:s" ) );
        $o_Cr_vista_morososBN->setFechaFinal( utilTimestamp::getTimestamp( $o_Cr_vista_morososRs[ "FechaFinal" ], "Y-m-d H:i:s" ) );
        $o_Cr_vista_morososBN->setIdMercado( ( integer ) $o_Cr_vista_morososRs[ "IdMercado" ] );
        $o_Cr_vista_morososBN->setNombreMercado( $o_Cr_vista_morososRs[ "NombreMercado" ] );
        $o_Cr_vista_morososBN->setIdCliente( ( integer ) $o_Cr_vista_morososRs[ "IdCliente" ] );
        $o_Cr_vista_morososBN->setNombreCliente( $o_Cr_vista_morososRs[ "NombreCliente" ] );
        $o_Cr_vista_morososBN->setDni( $o_Cr_vista_morososRs[ "Dni" ] );
        return $o_Cr_vista_morososBN;
    }
}
?>